curl https://api.portkey.ai/v1/audio/speech \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "tts-1",
"input": "The quick brown fox jumped over the lazy dog.",
"voice": "alloy"
}' \
--output speech.mp3"<string>"Create Speech
POST
/
audio
/
speech
curl https://api.portkey.ai/v1/audio/speech \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "tts-1",
"input": "The quick brown fox jumped over the lazy dog.",
"voice": "alloy"
}' \
--output speech.mp3"<string>"Documentation Index
Fetch the complete documentation index at: https://portkey-docs-feat-byteplus-provider.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Portkey-Key & Virtual-KeyPortkey-Key & Provider-Auth & Provider-NamePortkey-Key & ConfigPortkey-Key & Provider-Auth & Provider-Name & Custom-Host
Body
application/json
One of the available TTS models: tts-1 or tts-1-hd
The text to generate audio for. The maximum length is 4096 characters.
Maximum string length:
4096The voice to use when generating the audio. Supported voices are alloy, echo, fable, onyx, nova, and shimmer. Previews of the voices are available in the Text to speech guide.
Available options:
alloy, echo, fable, onyx, nova, shimmer The format to audio in. Supported formats are mp3, opus, aac, flac, wav, and pcm.
Available options:
mp3, opus, aac, flac, wav, pcm The speed of the generated audio. Select a value from 0.25 to 4.0. 1.0 is the default.
Required range:
0.25 <= x <= 4Response
200 - application/octet-stream
OK
The response is of type file.
Last modified on May 24, 2026
Was this page helpful?
⌘I

